$.mobile.document

	.on('change', '#filtrogrupo', function(){
		var codgrupo = $('#filtrogrupo').val();
		if(codgrupo != ""){
			$.post('lookups/lkpsubgrupos.php',
				{
					codgrupo: codgrupo
				},
				function(data){
					$("#filtrosubgrupo option").remove();
					$("#filtrosubgrupo").append(data);
					$("#filtrosubgrupo").selectmenu('refresh');
				}
			)
		}
	})

	.on('click', '#limparfiltros', function(){
		$('#filtromarca option').eq(0).prop('selected', true);
		$('#filtrofamilia option').eq(0).prop('selected', true);
		$('#filtrogrupo option').eq(0).prop('selected', true);
		$('#filtrosubgrupo option').eq(0).prop('selected', true);
		$('#filtrovendedor option').eq(0).prop('selected', true);
		$('#filtrorede option').eq(0).prop('selected', true);
		$('#filtrocidade option ').eq(0).prop('selected', true);
		$('#filtroregiao option ').eq(0).prop('selected', true);
		$('#filtroproduto').val("");
		$('#codfiltroproduto').val("");
		$('#filtrocliente').val("");
		$('#codfiltrocliente').val("");
		$('#filtromarca').selectmenu().selectmenu('refresh', true);
		$('#filtrofamilia').selectmenu().selectmenu('refresh', true);
		$('#filtrogrupo').selectmenu().selectmenu('refresh', true);
		$('#filtrosubgrupo').selectmenu().selectmenu('refresh', true);
		$('#filtrovendedor').selectmenu().selectmenu('refresh', true);
		$('#filtrorede').selectmenu().selectmenu('refresh', true);
		$('#filtrocidade').selectmenu().selectmenu('refresh', true);
		$('#filtroregiao').selectmenu().selectmenu('refresh', true);
	})
	
	.on('pagecreate', '#filtros', function() {
		loads();
		geraLkp($("#filtromarca"), 'lookups/lkpmarcas.php');
		geraLkp($("#filtrofamilia"), 'lookups/lkpfamilias.php');
		geraLkp($("#filtrogrupo"), 'lookups/lkpgrupos.php');
		geraLkp($("#filtrogerente"),'lookups/lkpgerentes.php');
		geraLkp($("#filtrosupervisor"),'lookups/lkpsupervisores.php');
		geraLkp($("#filtrovendedor"), 'lookups/lkpvendedores.php');	
		geraLkp($("#filtroregiao"), 'lookups/lkpregiao.php');
		geraLkp($("#filtrorede"), 'lookups/lkpredes.php');
		geraLkp($("#filtrocidade"), 'lookups/lkpcidade.php');
		geraAutocomplete('#autocomplete-filtrocliente', 'lookups/lkpclientes.php', '#filtrocliente', '#codfiltrocliente');
		geraAutocomplete('#autocomplete-filtroproduto', 'lookups/lkpprodutos.php', '#filtroproduto', '#codfiltroproduto');
		removes();
	})
	
	; 